### Method

# GLib StaticRecMutex lock_full

deprecated: 2.32

#### Declaration [src]

    void
    g_static_rec_mutex_lock_full (
      GStaticRecMutex* mutex,
      guint depth
    )

#### Description [src]

Works like calling `g_static_rec_mutex_lock()` for `mutex` `depth` times.

Deprecated since: 2.32

Use g_rec_mutex_lock().

This method is not directly available to language bindings.

#### Parameters

`depth`

  Type: `guint`

  Number of times this mutex has to be unlocked to be completely unlocked.